FreeMat

- Main Page
- Related Pages

vtkWidgetEvent

Section: Visualization Toolkit Widget Classes

# Usage

vtkWidgetEvent defines widget events. These events are processed by subclasses of vtkInteractorObserver.

To create an instance of class vtkWidgetEvent, simply invoke its constructor as follows

      obj = vtkWidgetEvent

# Methods

The class vtkWidgetEvent has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkWidgetEvent class.

- `string = obj.GetClassName ()` - Standard macros.
- `int = obj.IsA (string name)` - Standard macros.
- `vtkWidgetEvent = obj.NewInstance ()` - Standard macros.
- `vtkWidgetEvent = obj.SafeDownCast (vtkObject o)` - Standard macros.